Bug 461046 - system-config-firewall looks in the wrong directory for system-config-firewall-tui.
system-config-firewall looks in the wrong directory for system-config-firewal...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-firewall (Show other bugs)
11
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
: 510820 (view as bug list)
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-09-03 12:38 EDT by Adam Buchbinder
Modified: 2010-06-28 06:44 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:44:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to /usr/share/system-config-firewall/system-config-firewall.py. (381 bytes, patch)
2008-09-03 12:38 EDT, Adam Buchbinder
no flags Details | Diff

  None (edit)
Description Adam Buchbinder 2008-09-03 12:38:09 EDT
Created attachment 315664 [details]
Patch to /usr/share/system-config-firewall/system-config-firewall.py.

Description of problem:
On a non-GUI system--fresh install of Fedora 9 plus a run of 'yum update--running "system-config-firewall" fails; running system-config-firewall-tui directly works.

Version-Release number of selected component (if applicable):
system-config-firewall-1.2.10-1.fc9.noarch
system-config-firewall-tui-1.2.10-1.fc9.noarch

How reproducible:
Consistently.

Steps to Reproduce:
1. Install Fedora 9 without X.
2. Run 'system-config-firewall'.
  
Actual results:
# system-config-firewall
Traceback (most recent call last):
  File "/usr/share/system-config-firewall/system-config-firewall.py", line 29, in <module>
    os.execv(argv[0], argv)
OSError: [Errno 2] No such file or directory

Expected results:
system-config-firewall-tui should be executed.

Additional info:
The relevant line in /usr/share/system-config-firewall/system-config-firewall.py reads "argv = [ "/usr/sbin/system-config-firewall-tui" ]"; system-config-firewall-tui is in /usr/bin, not /usr/sbin. Changing the path fixes the issue; a trivial patch is attached.

I don't know if system-config-firewall-tui should be in /usr/sbin rather than /usr/bin, or if there should be a symlink (the other system-config-* utilities seem divided on the question), so this may not be the *right* solution, but it fixes it for me.
Comment 1 Leam 2008-10-14 07:58:02 EDT
Need a standard for where the system-config-* files should be.
Comment 2 Fedora Update System 2009-06-03 08:37:27 EDT
system-config-firewall-1.2.16-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/system-config-firewall-1.2.16-3.fc9
Comment 3 Fedora Update System 2009-06-04 17:20:24 EDT
system-config-firewall-1.2.16-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update system-config-firewall'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5926
Comment 4 Bug Zapper 2009-06-09 22:36:54 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Jason Tibbitts 2009-06-17 14:11:23 EDT
This bug still seems to be present in F11 and rawhide; system-config-firewall-tui is still in /usr/bin and system-config-firewall.py still attempts to call it in /usr/sbin.
Comment 6 Thomas Woerner 2009-07-27 11:44:16 EDT
*** Bug 510820 has been marked as a duplicate of this bug. ***
Comment 7 Bug Zapper 2010-04-27 08:13:39 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-06-28 06:44:03 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.